<?

// Ausgeschriebene Namen
$pages = array(
	'graphic'=>'cfg_graphic',
	'network'=>'cfg_network',
	'input'=>'cfg_input',
	'auth'=>'client_auth',
	'autostart'=>'cfg_autostart',
	'serials'=>'client_serials',
	'printers'=>'cfg_printers',
	'sessions'=>'cfg_sessions',
	'modules'=>'cfg_modules',
	'screensaver' => 'cfg_screensaver'
	);

// Inhalte: "Die Tabelle xyz enthält ..."
$contents = array(
	'graphic'=>'Einstellungen zur Grafikausgabe',
	'network'=>'Netzwerkeinstellungen',
	'input'=>'Einstellungen zu Eingabegeräten',
	'auth'=>'Authentifizierungsdaten',
	'autostart'=>'Angaben zum Autostart',
	'serials'=>'Informationen zur Identifikation der ALX-PCs',
	'printers'=>'Druckereinstellungen',
	'sessions'=>'Sitzungen, die dem Client zur Verfügung stehen',
	'modules'=>'Module, die zusätzlich geladen werden',
	'screensaver'=>'Einstellungen des optionalen Bildschirmschoners',
	);

// Feld-Erklärungen
$tab = array();
$tab['graphic'] = array(
		'resolution'=>'Auflösung',
		'depth'=>'Farbtiefe in Bit',
		'monitorid'=>'Kennziffer des Monitors',
		'module'=>'Grafikmodul'
		);

$tab['network'] = array(
		'hostname'=>'Hostname des Clients',
		'domain'=>'angehörige Domäne',
		'networking'=>'statisches oder DHCP basierts Netzwerk verwenden',
		'netmask'=>'Netzmaske der Client-IP',
		'dns'=>'Nameserver der Domäne',
		'gateway'=>'Default Gateway der Domäne',
		'broadcast'=>'Broadcast-Adresse des Netzes',
		'ip'=>'IP-Adresse des Clients',
		'module'=>'Treiber-Module für die NIC (<a href="share/supported_nics.html">Detailierte Liste</a>)',
		'forcemacto'=>'fälschen der MAC-Adresse (bsp 00:11:22:33:44:55)',
		'wireless_bitrate'=>'Bitrate in Mbit der WLAN-Verbindung',
		'wireless_channel'=>'Kanal der WLAN-Verbindung (equivalent zu Frequenz)',
		'wireless_essid'=>'ESSID des WLAN-Netzes',
		'wireless_frequency'=>'Frequenz der WLAN-Verbindung (equivalent zu Kanal)',
		'wireless_mode'=>'Verbindung-Modus: Managed=Infrastructure, Ad-Hoc, Master=AP-Mode ...',
		'wireless_nick'=>'Nickname des WLAN-Adapters im Netz',
		'wireless_auth_mode'=>'Verschlüsselungs Methode (keine, WEP oder WPA-PSK)',
		'wireless_key_length'=>'Länge des WEP-Schlüssels ( 64bit, 128bit, 256bit WEP)',
		'wireless_key'=>'WEP-Schlüssel in HEX oder WPA-PSK Schlüssel (bei WEP muss die Länge der Bitanzahl entsprechen) ',
		'wireless_key_ascii'=>'WEP-Schlüssel in ASCII (Achtung: wird in HEX konvertiert, nicht für WPA verwenden)',
		);

$tab['input'] = array(
		'mouse'=>'Maustreiber',
		'keyboard'=>'Tastaturtreiber'
		);

$tab['auth'] = array(
		'username'=>'Benutzername des unprivilegierten Benutzes',
		'shell'=>'root-Password des Systems',
		'vnc'=>'VNC Password, muss *mindestens* 6 Zeichen lang sein',
		'samba'=>'Password für die Netzwerkfreigaben (root)',
		'station'=>'Password des unprivilegierten Benutzes',
		);

$tab['autostart'] = array(
		'session'=>'Dateiname der ICA-Session, die beim Starten des ALX-PCs geöffnet werden soll'
		);

$tab['serials'] = array(
		'serial'=>'Kennziffer des Clients',
		'mtime'=>'Registierdatum des Clients an die Datenbank',
		'mac'=>'Aktuelle/letzte bekannte MAC-Adresse des Clients'
		);

$tab['printers'] = array(
		'port'=>'Port an dem der Drucker angeschlossen ist',
		'printer_name'=>'Name des Druckers und der Freigabe',
		'ip'=>'IP-Adresse des Druckes; nur relevant bei Netzwerkdruckern',
		'share'=>'Freigabename oder Port; nur relevant bei Netzwerkdruckern',
		);

$tab['sessions'] = array(
		'session'=>'Name der ICA-Session',
		'filename'=>'Dateiname der ICA-Session (bsp sum.ica)',
		'username'=>'Benutzer zum Anmelden an dem Citrix-Server',
		'domain'=>'Anmeldedomäne des Citrix-Servers',
		'password'=>'Kennwort des Benutzers',
		'browseradrs'=>'IP-Adressen der Citrix-Server (bsp IP1;IP2)'
		);

$tab['modules'] = array(
		'module'=>'Kernelmodule die beim Start des Clients zusätzlich geladen werden sollen'
		);

$tab['screensaver'] = array(
		'screensaver'=>'Bildschirmschoner der verwendet werden soll',
		'timeout'=>'Dauer in Minuten bis der Bildschirmschoner gestartet wird',
		'password'=>'Optionales Passwort für den Bildschirmschoner - Achtung Root-Passwort geht immer !'
		);

echo '<table height=100%><tr><td width=425 valign=top style="border-right:solid black 1px">';
echo '<big><big><b>'.$pages[$page].'</b></big></big><br>';
echo 'Die Tabelle <b>'.$pages[$page].'</b> enthält '.$contents[$page].'.<br><br>';

if(isset($tab[$page]))
{
	echo '<table width=95% border>';
	foreach($tab[$page] as $k=>$v) echo '<tr><td width=100 valign=top><b>'.$k.'</b></td><td>'.$v.'</td></tr>';
	echo '</table>';
}

echo '</td><td valign=top><img src="pics/logo2.jpg"><br><br>';

echo 'Hilfe zu...<br>';
foreach($pages as $k=>$p) echo '<a href="help.php?page='.$k.'" style="color:#000000;text-decoration:none"><b>:: '.$p.'</b></a><br>';
echo '</td>';

?>
